#region LICENSE
// Copyright (C) 2003 Ecmel Ercan
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Ecmel Ercan (ecmel@ercansoy.com)
#endregion

using System;
using Gtk;
using Glade;

public class AboutDialog : GladeDialog
{
    private static AboutDialog dialog = null;

    [Glade.Widget] private Image icon;
    [Glade.Widget] private Label title_label;
    [Glade.Widget] private Label build_label;

    public static void Show (Window parent)
    {
        if (dialog == null)
            dialog = new AboutDialog (parent);

        dialog.Present ();
    }

    private void response (object obj, ResponseArgs args)
    {
        switch ((int)args.ResponseId)
        {
        case 103:
            TextDisplayDialog dlg = new TextDisplayDialog (dialog.Self,
                                    "License",
                                    Utility.StringFromResource (null,
                                                                "LICENSE"));
            dlg.Show ();
            break;
        default:
            dialog = null;
            (obj as AboutDialog).Destroy ();
            break;
        }
    }

    public AboutDialog (Window parent) : base ("AboutDialog.glade", parent)
    {

        icon.Pixbuf = new Gdk.Pixbuf (null, "sharpmusique.png");
        this.Response += new ResponseHandler (response);


        System.Reflection.Assembly assembly =
            System.Reflection.Assembly.GetExecutingAssembly();
        System.Reflection.AssemblyName assembly_name = assembly.GetName ();

        string ver = assembly_name.Version.ToString ();
        string[] ver_details = ver.Split (Char.Parse("."));

        title_label.Text = "<b><span size='xx-large'>S h a r p M u s i q u e  "
                           + ver_details[0] + "." + ver_details[1] +
                           "</span></b>";
        title_label.UseMarkup = true;

        build_label.Text = "Release Build: " + ver;
    }
}
