/*****************************************************************************
 * AlertDialog.cs: SharpMusique 0.1
 *****************************************************************************
 * Copyright (C) 2005 Jon Lech Johansen <jon@nanocrew.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

using System;

using Gtk;
using Glade;

public enum AlertType
{
    Info = 0,
    Warning,
    Error
};

class AlertDialog : GladeDialog
{
    [Widget] protected Image alertimage;
    [Widget] protected Label alertlabel;

    public AlertDialog( Window parent, AlertType type,
        string title, string message ) : base ("AlertDialog.glade", parent)
    {
        Hide();

        switch( type )
        {
            case AlertType.Info:
                if( title == null )
                    Self.Title = "Info";
                alertimage.SetFromStock( Gtk.Stock.DialogInfo,
                                         Gtk.IconSize.Dialog );
                break;
            case AlertType.Warning:
                if( title == null )
                    Self.Title = "Warning";
                alertimage.SetFromStock( Gtk.Stock.DialogWarning,
                                         Gtk.IconSize.Dialog );
                break;
            case AlertType.Error:
                if( title == null )
                    Self.Title = "Error";
                alertimage.SetFromStock( Gtk.Stock.DialogError,
                                         Gtk.IconSize.Dialog );
                break;
        }

        if( title != null )
            Self.Title = title;
        alertlabel.Text = message;

        Show();

        Run();
        Destroy();
    }
}
